Bug 1373229 (CVE-2016-7141) - CVE-2016-7141 curl: Incorrect reuse of client certificates
Summary: CVE-2016-7141 curl: Incorrect reuse of client certificates
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-7141
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1373232 1364910 1373230 1373231
Blocks: 1362200 1395463
TreeView+ depends on / blocked
 
Reported: 2016-09-05 14:41 UTC by Adam Mariš
Modified: 2019-09-29 13:55 UTC (History)
27 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that the libcurl library using the NSS (Network Security Services) library as TLS/SSL backend incorrectly re-used client certificates for subsequent TLS connections in certain cases. An attacker could potentially use this flaw to hijack the authentication of the connection by leveraging a previously created connection with a different client certificate.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:58:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2575 normal SHIPPED_LIVE Moderate: curl security, bug fix, and enhancement update 2016-11-03 12:06:39 UTC
Red Hat Product Errata RHSA-2016:2957 normal SHIPPED_LIVE Important: Red Hat JBoss Core Services Apache HTTP 2.4.23 Release 2016-12-16 03:11:19 UTC
Red Hat Product Errata RHSA-2018:3558 None None None 2018-11-13 08:32:37 UTC

Description Adam Mariš 2016-09-05 14:41:01 UTC
After testing original CVE-2016-5420 patch, it was discovered that libcurl built on top of NSS (Network Security Services) still incorrectly re-uses client certificates if a certificate from file is used for one TLS connection but no certificate is set for a subsequent TLS connection.

The original patch for CVE-2016-5420 has been amended to also contain the attached patch:

https://curl.haxx.se/CVE-2016-5420.patch

Comment 1 Adam Mariš 2016-09-05 14:42:02 UTC
Created curl tracking bugs for this issue:

Affects: fedora-all [bug 1373230]

Comment 2 Adam Mariš 2016-09-05 14:42:19 UTC
Created mingw-curl tracking bugs for this issue:

Affects: fedora-all [bug 1373231]
Affects: epel-7 [bug 1373232]

Comment 4 Adam Mariš 2016-09-06 11:23:09 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q3/419

Comment 6 errata-xmlrpc 2016-11-03 17:46:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2575 https://rhn.redhat.com/errata/RHSA-2016-2575.html

Comment 8 errata-xmlrpc 2016-12-15 22:12:12 UTC
This issue has been addressed in the following products:



Via RHSA-2016:2957 https://rhn.redhat.com/errata/RHSA-2016-2957.html

Comment 9 Tomas Hoger 2018-01-10 21:31:00 UTC
External References:

https://curl.haxx.se/docs/adv_20160907.html

Comment 11 errata-xmlrpc 2018-11-13 08:32:21 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2018:3558 https://access.redhat.com/errata/RHSA-2018:3558


Note You need to log in before you can comment on or make changes to this bug.